Introduction

Welcome to O&O Defrag V6, the best and at the same time the most user-friendly defragmentation software for Windows XP, Windows 2003, Windows 2000 and Windows NT 4.

Your first steps with O&O Defrag

The various defragmentation methods

Introduction to using O&O Defrag

Automatic defragmentation with the integrated scheduling

How to monitor the condition of your computer with status reports

Taskpane

We included in this new version a load of new features to reach optimum performance for your system, easier and faster than ever. For instance, we developed a new taskpane to give you a clear overview of the main tasks. It only takes a mouse click to launch them!

Power Management for notebooks

Power management for notebooks is also a new feature which automatically checks that a defragmentation only takes place when the computer is plugged to the mains. O&O Defrag keeps an eye on your system and takes care of all the other settings.

Worldwide acclaim by the press and experts

File fragmentation is one of the main reasons for performance loss of PC systems. Studies show that numerous PC users lose precious time and performance because of fragmentation. It is true that Microsoft included its own defragmentation software in Windows XP/2003 and Windows 2000 but it is not very convincing: It is impossible to keep on working with your computer during the defragmentation process, which leads to more time lost than won. To avoid this, we developed O&O Defrag and gave it a special and unique monitoring technology: O&O ActivityGuard. It monitors the system load and adjusts the resource usage of O&O Defrag. This allows you to work with your computer as usual. This is why in December 2002 “Microsoft Certified Professional Magazine” elected the previous version of O&O Defrag product of the year in the defragmentation software category. It was also described as one of the products which administrators were the least willing to stop using.

Happy Defragging!

We hope that you’re satisfied with our new O&O Defrag V6 and that it helps you, like millions of other users worldwide, to keep your system performance at a maximum level!

Your O&O Software-Team
http://www.oo-software.com/

P.S.: By the way, O&O Defrag V6 now needs even less free space to defragment. 5% is already generally enough to optimize your system. Just try it!


Fragmentation: causes and effects

Fragmentation results from saving your files on your hard drive. Windows automatically looks for free space and saves the file there but in general, there isn’t enough contiguous free space to save the file in one block. This happens because of a normal saving process including the creation, modification and suppression of files. When you suppress a file, the space occupied by this file will be marked as free. New files then use this space. If a new file doesn’t exactly fit in this spot, Windows divides it up and saves the fragments in different places on the hard drive. When you open the file, Windows has to first find all the fragments, load them and put them back together. This process can be very time consuming, especially if you often create or get rid of files.

Defragmenting regularly is the only solution!

Even in times of affordable and fast hardware, an important part of a system’s performance is dependent on the operating system used and its integrated file management. The most frequent problem is file fragmentation. Files are separated in multiple single fragments and distributed over the user's hard disk. As a result, processing these files takes much longer, because all segments belonging to one file have to be relocated, read and put together. The impact is particularly dramatic in Windows - the longer a system is in use, the more intensive file fragmentation and therefore performance loss will occur. O&O Defrag reactivates this lost and hidden system performance and brings it back to save time and money

File- and database servers, but also workstations can substantially improve their system performance using O&O Defrag V4. Regular defragmentation prevents new hard disk fragmentation and will ease the use of Windows XP/2003, Windows 2000 and Windows NT 4 in the long term.

O&O Defrag is the best solution

O&O Defrag analyses and reorganizes your files. Fragmented files are moved to a block of contiguous free space where it can stay in one block. Accessing files takes less time because Windows doesn’t need to look for each separate file fragment, seeing as the file can be read in one block. This is how O&O Defrag brings back lost performance and helps save time and money.

O&O Defrag can easily be installed locally on each system (single computer version) or, by means of the Management console, over a network. Choosing settings and using it is done intuitively, and you can also choose to let O&O Defrag work automatically. Our sophisticated task manager brings you a variety of possibilities to optimize your systems individually and according to its needs.


What's new in O&O Defrag V6

What’s new in O&O Defrag V6

In addition to the tried and tested features from previous versions, many new functions have been added to the new Version 6. A lot of functionality has been overhauled. The graphic interface, for instance, was entirely redesigned to fit the new Windows XP style. Automatic defragmentation and network management in the Server Edition are now a lot easier. Even new users can set up an automatic defragmentation in a few simple steps, and they won’t have to deal with it anymore. O&O Defrag takes care of all the settings for you!

Properties of Version 6

•

Online and Offline defragmentation of all volumes supported by Windows including RAID systems

•

Five different defragmentation methods for optimal speed increase.

•

New: A lot less free space needed for defragmentation (only about 5% or less, according to the size of the volume)

•

Unique O&O ActivityGuard to monitor the system load and adjust the resource usage of O&O Defrag

•

Unique cluster viewer for detailed information on the state of the volumes.

•

Many volumes can be viewed at the same time in the cluster view

•

New: Taskpane to easily run tasks the way XP does

•

True Remote Control – Control a computer as if you were sitting in front of it. No limits and no performance loss!

•

New: Power management for Notebooks

•

O&O ClusterInspector to check hard drive zones.

•

New: Automatic defragmentation with integrated heuristic evaluation for optimal planning.

•

New: O&O Defrag management through the tasktray

•

New: DefragWizard for automatic defragmentation in just one click (One-Button-Defrag™)

•

New: Status reports in HTML format to keep track of your performance changes

Other properties of the Server Edition

•

Easy defragmentation of the whole network in the company

•

Management of your computers in groups (so called. Sites)

•

NewNew: Definition of setting for groups of PCs

•

Creation of a time table for automatic defragmentation in just a few clicks (Defrag-Jobs)

•

Automatic installation of O&O Defrag-Software in the network with integrated distribution software (O&O ComponentInstaller)

Two different editions: Professional and Server

O&O Defrag V6 is available in two versions:

•

O&O Defrag V6 Professional Edition and

•

O&O Defrag V6 Server Edition

The Professional Edition is the version to defragment a single PC. It cannot be used on a server system and contains no network management console but it can be used as client for the Server Edition.

The Server Edition contains the management console to control O&O Defrag in a network. It can be used both on server computers and workstations, the latter making more sense when the administrator wishes to control and monitor the defragmentation process from his computer.


Contact O&O

Since 1997 O&O Software GmbH, a member of the O&O group, has become one of the worldwide leading software companies in the field of system tools for Windows. We consider it our duty to offer you the best service possible. If you have questions or problems, we’re here for you!

Sales

In addition to single user licenses, we also offer your company cheap multiple user licenses as part of our volume licensing program „O&O EasyLicensing“. You will find our authorized resellers on our website, who will do their best to help you. OF course, you can also contact us directly.

O&O Software GmbH
Am Borsigturm 48, 13507 Berlin, Germany

Web: http://www.oo-software.com/
E-mail: sales@oo-software.com

Tel. +49 -30- 4303 4303
Fax +49 -30- 4303 4399

Technical Support

All registered users can take advantage of our installation and product support for free for 90 days after the day of registration. Please do not forget to enter your registration code if you contact our support team. Please read the FAQ on our website (see below) before you contact our support team. You might find the answer to your problem there!

O&O Software GmbH
Am Borsigturm 48, 13507 Berlin, Germany

Web: http://www.oo-software.com/
E-mail: support@oo-software.com

Tel. +49 -30- 4303 4303
Fax +49 -30- 4303 4399

Please have these indications ready at hand to fill in the support form:

•

Name of the O&O Product and its version (see the help menu “About O&O Defrag”)

•

Your license number (Support for evaluation users only per e-mail)

•

OS, OS type (Workstation, Server etc.), Version and Service Packs installed

•

Your name, address, telephone number and E-mail-Address

•

Exact description of the error if possible.


Starting O&O Defrag

When you install O&O Defrag, a program group will be integrated into the start menu. Depending on which option you chose during the installation, this can be seen by all users or only the current one. The program group can be found under O&O Software\O&O Defrag.

This group includes the program elements of O&O Defrag as well as a link to the online documentation..

The online documentation is the central source of information on how to use O&O Defrag. You can either click through to it from the icon in the start menu or select it from the O&O Defrag help menu. Alternatively, you can press the F1 key at any time whilst using the software.

Starting from “My Computer”

If you choose O&O Defrag as your default defragmentation program, you can start it straight from the desktop. Click on “My Computer”, and then right-click on the relevant partition. A menu will appear, from which you can select the option “Properties”. Click on the “Tools” tab and click on the “Defragment now” button. O&O Defrag will then start automatically.

Starting from the command line

You can also start O&O Defrag from the command line. The relevant command is OODEFRAG. With the help option (/?), you can display the possible parameters and their syntax. You can find out more about this in the chapter on Using the command line version.

When you start from the command line, you won’t see the main window. A miniature O&O Defrag icon will be displayed, and you can follow the progress of the defragmentation in your DOS-prompt.

Tip: If you start O&O Defrag from the command line, you can start the graphical user interface later. This will then show you the current status without interrupting or stopping the running processes.


Analysing your volumes

Analysing your hard disks gives you an overview of how heavily fragmented they are. O&O Defrag creates a detailed status report about the fragmentation level once the analysis has been completed.

This level will be somewhere between 0 and 100 – the lower the number (zero is the ideal), the less fragmented your hard disk. A value near 100 is the worst case – your files are almost completely fragmented. Even values of around 30 mean that the performance of your system is seriously suffering from the level of fragmentation, and that a defragmentation run is strongly recommended.

Level | Explanation and action needed
< 10 | All files are almost completely defragmented. This is the ideal condition and can only be achieved and maintained through regular defragmentation.
10 – 30 | This level is reasonable, and means that your hard disks are in good condition.
31 – 50 | Your system is working more slowly than normal because of heavy fragmentation. Defragment regularly and use the time planning facility included in O&O Defrag. This will keep your system running at a good speed.
51 – 90 | Your system is very heavily fragmented and is suffering from very serious performance losses. You should defragment your system right away and create jobs for regular defragmentation. Compare the fragmentation levels before and after the defragmentation run.
> 90 | Almost all of your files are fragmented – you’ve probably never, or very seldom, defragmented your system. The effect on your system is dramatic. Defragment your hard disks frequently, and bear in mind that it might take several runs before an ideal fragmentation level is reached.

Start analysis

•

Select the volume to be analysed in the volume list.

•

Start the analysis via the toolbar or from the context menu (select “Analyse”). The analysis can take a few moments, even if the volume is small. You can follow the progress of the analysis on the volume symbol and the progress display.

•

When the analysis is finished, a dialog window with a summary of the volume information will be displayed. You can display the detailed status report as a HTML document in your web browser.

•

Note: You can analyse several volumes simultaneously. Mark the various volumes by keeping the Ctrl key depressed whilst selecting.


Defragmenting your volumes

•

Select the volume you wish to defragment from the volume list.

•

Start the defragmentation by clicking on the start button on the taskbar, or choose the desired defragmentation method from the context menu.

•

Depending on the size of your volume, the defragmentation can take up to a few hours. O&O Defrag will display the estimated time remaining in the volume list. You can follow the defragmentation process via the volume symbol and the progress display.

•

Whilst O&O Defrag is running, you can carry out your work on the PC undisturbed.

•

After the defragmentation is finished, you can display the detailed status report as an HTML document in your web browser.

Note: you can defragment several volumes simultaneously. Mark the various volumes by keeping the Ctrl key depressed whilst selecting S.

Tips for your first defragmentation

As a rule, the first defragmentation will take the longest, as O&O Defrag has to perform a complete check on your system and perhaps move fragmented files into an optimum position. Especially with systems that have been in use for a long time and have seldom or never been defragmented, this can take a long time.

The COMPLETE methods in particular are very time-consuming, because the entire file structure is thereby optimized, which involves moving even files that are not fragmented. We therefore recommend an initial defragmentation with the STEALTH or SPACE methods. These methods consolidate your hard disks very quickly and efficiently. Afterwards, you can use the COMPLETE methods for optimum performance or stick to the quicker STEALTH and SPACE methods. Whichever method you choose, your system will be significantly quicker than it was before!


Online vs. Offline defragmentation

O&O Defrag V6 can carry out defragmentation runs online and offline. In this context, “online” means that the defragmentation is carried out in the background whilst your system is running. Thus, you can carry on your work as usual. However, some system files are locked by the operating system whilst it is running, and these files can only be defragmented before the operating system has locked them. This is possible in the so-called start phase of Windows. This is before the usual operating system processes take place and you as user cannot start any applications. Defragmentation at this time is known as offline defragmentation (or often Boot-time defragmentation).

The following table shows which file types can be defragmented on- and offline, according to which operating system you are running. If online defragmentation is impossible, O&O Defrag will automatically select offline defragmentation. This will take place at the next system start. You can stop this at any time by pressing any key.

 | Windows XP/2003 | Windows 2000 | Windows NT 4
System files | online+offline | online+offline | offline only
Paging files | offline only | offline only | offline only
Directories (NTFS) | online | online | offline only
Directories (FAT/FAT32) | offline only | offline only | offline only


Continuing working during the defragmentation

O&O Defrag is the only defragmentation software to offer you the O&O ActivityGuard. This tool checks the CPU usage during the defragmentation process. This guarantees that you can work undisturbed whilst O&O Defrag works unnoticed in the background. At times when you’re not using the PC, for example at lunchtime, O&O ActivityGuard notices this and automatically allocates more resources to O&O Defrag.

This all happens automatically! You can find more information about O&O ActivityGuard in the section about the Options dialog.


System requirements

PC System

•

PC System with Intel 486 (Pentium recommended) or comparable processor

•

32 MB RAM (64 MB recommended)

•

CD-ROM drive

•

SVGA-Adapter (min. 800x600/256 colors), keyboard and mouse

•

30 MB free hard disk space

If you wish to use the network functionality, you must also have the following available:

•

Network card and connection

•

TCP/IP protocol

Operating systems supported

Operating system | Professional Edition | Server Edition
Windows XP Professional | yes | yes
Windows XP Home Edition | yes | yes
Windows XP Tablet-PC | yes | yes
Windows XP Media Center | yes | yes
Windows 2003 Server | no | yes*
Windows 2000 Professional | yes | yes
Windows 2000 Server | no | yes*
Windows NT 4 Workstation | yes | yes
Windows NT 4 Server | no | yes*

* All variants of this server operating system are supported

Windows NT 4

If you’re running Windows NT 4 the following service packs and applications are needed (not part of the operating system itself):

•

Service Pack 6 or higher

•

Microsoft Internet Explorer 5.01 or higher

•

Microsoft Windows Installer 2.0 or higher

•

If you wish to use O&O Defrag as a Snap-in for the Microsoft Management Console, you will also need the Microsoft Management Console 1.2 or higher.

Access privileges

To install O&O Defrag, you require local administration privileges. This is likely to be the case if you’ve been able to install other applications.

During the installation, you can also decide to allow ordinary users to access O&O Defrag. Otherwise, only the local administrator(s) will have access.

In a network, you must be the domain administrator if you wish to install and control O&O Defrag locally as well as on the network computers.

Microsoft Windows Installer

The installation takes place with the help of Microsoft Windows Installer. This is a component already integrated into Windows XP/2003/2000 which simplifies the installation process.

If you’re running Windows NT 4, O&O Defrag will check at installation which version of the Windows Installer your system has. If the program is missing or the version is too old, O&O Defrag Setup will install an adequate version.

Installing O&O Defrag

Installing the MMC is a very quick and easy process. Please follow the steps below:

•

Boot up the computer on which you wish to install O&O Defrag and the MMC.

•

Start Windows and log on as the local administrator, or use an account with similar privileges.

•

Start the O&O Defrag Setup program included in the software package you received from us.

•

The following error messages can appear during the initial phase of the setup program:

o

Windows NT 4 Service Pack 6 required – O&O Defrag only runs on Windows NT 4 with Service Pack 6 or higher.

o

Administrator’s rights – You have to be an administrator or have similar rights to install O&O Defrag.

o

Internet Explorer 5 required – O&O Defrag only runs when Internet Explorer Version 5 or higher is installed.

o

Other edition installed – You can only install either the Professional or the Server Edition on the same computer but not both at the same time.

o

Not on servers – You can’t install the Professional Edition on a server system!

Once the setup program has started successfully, it checks whether the MMC is already installed. If yes, it will check whether it is the correct MMC version (minimum required is Version 1.2). If the setup program does not find the MMC or if the version is too old, you will be asked to install the MMC now. Please run the MMC setup program.


Install Updates of O&O Defrag

Update V4.x to V6

If you wish to update your old O&O Defrag V4 to O&O Defrag V6, please pay attention to the following:

1.

Uninstall all previous versions (Professional or Server Edition). The setup program checks if there are any previous versions and asks you to uninstall these. Once the uninstallation is complete, you will have to start the setup again.

2.

You can choose during the installation whether you want to keep old settings or remove them. Select the option of your choice.

3.

O&O Defrag V6 is being installed.

4.

If you chose to keep old settings, these will be retrieved and converted during the installation.

5.

Follow the normal installation steps. Your new version is installed!

Update to a new release

The update to a new release of O&O Defrag V6 is easy and quickly done.

Microsoft Software Installer 2.0 or higher

1.

Start the setup of the new release.

2.

A screen comes up, in which you can choose to modify, repair or remove the program.

3.

Choose Repair program and click on Next.

4.

The new version is being installed. Previous settings will automatically be retrieved.

Microsoft Software Installer 1.0

1.

Open the control panel from the start menu 'settings’.

2.

Click on Add/Remove programs

3.

Choose O&O Defrag Professional Edition or O&O Defrag Server Edition from the list of currently installed programs.

4.

Click on Add/Remove.

5.

O&O Defrag’s uninstallation program is starting.

6.

A screen appears where you can choose to modify, repair or remove the program.

7.

Choose Remove program and click on Next. (The option Repair program is not available on older MSI).

8.

The old version is being uninstalled. You can choose to keep previous settings so that the new version retrieves them.

9.

Once the uninstallation is complete, install the new release. To do so, follow the instructions given to install O&O Defrag V6.


License Key

Note: To activate the product after the installation or later, you need to have a valid license key. If you do not type in a valid license key, you may use O&O Defrag only as a trial version and for a maximum of 30 days. If you have any questions, please don’t hesitate to contact our support.

Once the installation is complete, the new O&O registration wizard starts up automatically and allows you to register your O&O Defrag easily. To register O&O Defrag you will need the license key which you received when you bought the product.

This key is also called registration code, serial number or product ID. It can be made out of just the serial number or of your name, company and serial number together. Please check the instructions given with the license code.

You can enter the registration code directly during the the installation process or at a later time in the registration wizard. To open it up, simply start O&O Defrag.

Unregistered trial version

This dialog will pop up if you are using the unregistered trial version or if you entered a wrong registration key. In this case, please check your code and try again to register the product.

First, you have to choose whether you want to enter the registration key, continue to test the product without registering or buy it now, then click on Next.

Choose Enter registration code to get to step 2 of the registration process.

If you wish to continue to test without registering, the program will start up. The number of remaining days in the test period will be indicated at the top of the wizard.

If you choose Buy now! you will be taken to our homepage where you will find more information on how to buy the product.

Choose the option you want and click on Next. You can stop the registration process at any time by clicking on Cancel and answering yes to the security question.

Registration Wizard

In the registration wizard you can enter the registration code you received when you bought O&O Defrag.

Enter your name and company, then your serial number. Please make sure that this number is exactly the same as the one on your license document or license mail! Check that you didn’t confuse Os and zeros and that you didn’t type in any spaces.

Click on Next to save the registration data or Cancel to close the wizard and not to save the data.

If you have trouble registering, please contact our support team.

Registration complete

Once you’ve entered the license key correctly, this will be confirmed by the wizard. You can then immediately register online and thus make sure you can enjoy many advantages, such as technical support and cheaper updates.

To do so, click on Register product online now! To close the wizard, choose Close.


Uninstallation

To uninstall O&O Defrag, please follow these steps:

1.

Open the control panel from the Start menu 'Settings’.

2.

Click on Add/Remove programs

3.

Choose O&O Defrag Professional Edition or O&O Defrag Server Edition in the list of programs.

4.

Click on Add/Remove.

5.

The O&O Defrag uninstall program is starting.

6.

You can now choose whether you want to remove O&O Defrag completely or keep the settings. This is important if you decide to install an update and do not want to lose your present settings. If you choose the complete uninstallation, all the settings will be removed and previous settings (e.g. standard defragmenter) will be put back.

7.

Confirm then the uninstallation of O&O Defrag. Once the uninstallation is complete, you may have to restart your computer.


Overview

O&O Defrag V6 offers you five different methods of defragmenting your computer:

•

STEALTH

•

SPACE

•

COMPLETE/Access

•

COMPLETE/Modified

•

COMPLETE/Name

Each of these methods offers you an efficient and quick online defragmentation of your files, i.e., no service or application must be paused or stopped whilst the defragmentation takes place. STEALTH and SPACE are optimized for the fastest possible defragmentation of your files, whereas the COMPLETE methods provide a more thorough defragmentation. This requires more time and more free hard disk space. By re-arranging your files to use the available space as efficiently as possible, further fragmentation is avoided.

All methods can be used on all volumes, including volume sets, stripe sets with and without parity, etc., and are equipped for best possible data security. This is achieved by working together with the defragmentation routines integrated into Windows, and makes sure that data are not lost in your computer or network crashes, or if there is a power cut.


STEALTH Method

The STEALTH method differs from the other methods in that it is much faster and uses much less central memory for the defragmentation.

The STEALTH method has been designed with large fileservers in mind. It can, however, be used to great effect on workstations and other computers.

Algorithms

The STEALTH method is based on our unique STEALTH technology, allowing an unprecedented level of defragmentation on computers with a large number of files, little free space or available central memory.

This method defragments all fragmented files and tries to consolidate them in order to optimize available free space. Here, speed and resource usage are the main considerations and the method is therefore not quite as thorough as the SPACE and COMPLETE methods.

Recommended usage

The STEALTH method is particularly recommended for the following systems. STEALTH can also be used for regular defragmentation runs.

•

Initial defragmentation of your system

•

Computers with few available resources, as the method does not greatly increase the CPU usage and does not require much free hard disk space.

•

Servers with very large hard disks (e.g. more than 1 terabyte)

•

Computers with a very large number of files (more than 250,000 files)


SPACE Methods

The SPACE methods offer you a great solution if your volumes are very heavily fragmented. It also allows you to consolidate your data so that the amount of contiguous free space is as large as possible and further fragmentation is prevented.

The SPACE method is the best one for your initial defragmentation and for defragmentation in the background, as long as there is enough free space on the hard disk and the number of files is not too great. Otherwise, you should consider using the STEALTH method.

Algorithms

All fragmented files will be defragmented, and then placed into the free slots in which they fit. This maximizes contiguous free space. This method is very quick and efficient and it does reorganize your volume, but not as thoroughly as the COMPLETE methods.

Further defragmentation will not be affected by the SPACE method. The SPACE method is ideal for the first defragmentation run on a system that has never been defragmented, as it requires far less free space than the COMPLETE methods.

Recommended usage

The SPACE method is particularly recommended for the following systems. SPACE can also be used for regular defragmentation runs.

•

For the initial defragmentation of your system.

•

Computers with few available resources, as the method does not greatly increase the CPU usage and does not require much free hard disk space.

•

Servers with large hard disks (e.g. more than 100 gigabytes)

•

Computers with a large number of files (more than 100,000 files)


COMPLETE/Access method

The COMPLETE/Access method defragments your files and reorganizes your file structure. Although this method is slower than the STEALTH and SPACE methods, it guarantees maximum system performance when your files are being read.

The COMPLETE/Access method is suitable for servers and workstations. Please bear in mind that this method uses a lot of central memory due to the reorganization of your system. If this is likely to be a serious problem for your system, we recommend you use the STEALTH or SPACE methods.

Algorithms

Files are sorted according to when they were last accessed. The files that have been accessed the least will be placed at the beginning of the partition, and those that are accessed that most frequently are put near the end. Seldom-used files are defragmented and will not need to be moved in future. Frequently-used files are placed at the end of the volumes. This strategy means that future defragmentation runs are as quick as possible, as fewer files need to be checked and defragmented.

Recommended usage

The COMPLETE/Access method is particularly suitable for use on the following systems. Please bear in mind that using the COMPLETE/Access method for regular defragmentation runs should not be mixed with other methods. This would lead to longer defragmentation times, as the file system has to be reorganized again.

•

Maximizes the read access performance on servers.

•

For regularly defragmenting your volumes

•

On computers that have sufficient resources available when the defragmentation takes place – CPU usage is likely to increase significantly (it is strongly recommended that you use the O&O ActivityGuard). A larger amount of free disk space is necessary with this method.

•

All kinds of servers and workstations


COMPLETE/Modified method

The COMPLETE/Modified method defragments your files and also reorganized your file structure. Although this method is slower that the STEALTH or SPACE methods, it guarantees maximum performance in the reading of your files.

The COMPLETE method is particularly suitable for databases and fileservers. It is important to bear in mind that this method requires quite a lot of central memory due to the file reorganization. If this is a serious problem for your system, we recommend you use the STEALTH or SPACE methods.

Algorithms

Files are sorted according to the date on which they were last changed. The files which have not been changed recently are placed at the beginning of the partition, and the files that have been changed recently are placed at the end. This option is a good one for file or database servers which contain files that have never been changed (e.g. system files), but where others are frequently modified. (e.g. database files)

This strategy means that future defragmentation runs will be much quicker, as only a few files need to be checked and defragmented.

Recommended usage

The COMPLETE/Modified method is particularly suitable for use on the following systems. If you want to use the COMPLETE/Modified method for your regular defragmentation runs, you should bear in mind that you only use this method and do not mix it with any other. This means that future defragmentation runs are slower, as the file system would need to be reorganized.

•

Maximizes the performance for write access on servers.

•

Use for regular defragmentation runs

•

Use on computers that have sufficient free resources at the time when you wish to defragment, as CPU usage will increase specifically and a lot of free space is required – using the O&O ActivityGuard is particularly recommended.

•

Suitable for all types of servers and workstations.


COMPLETE/Name method

The COMPLETE/Name method defragments your files and also reorganizes your file structure. Although this method is slower than the STEALTH and SPACE methods, it guarantees maximum performance for the read access to your system.

The COMPLETE/Name method is particularly suitable for system volumes. Please bear in mind that this method needs a lot of central memory due to the reorganization process. If this is a serious problem for your system, we recommend you use the STEALTH or SPACE methods.

Algorithms

Files are sorted alphabetically from the beginning to the end of the partition. This leads to quick access to files in a directory. When Windows starts up, many system files will be read in sequence from the \WINDOWS and the \WINDOWS\system32 directories (DLLs, system drives, etc.) and the start-up time will therefore be shorter.

This method is particularly recommended for computers on which the files rarely change. This reduces the reorganization time that is needed for every defragmentation.

Recommended usage

The COMPLETE/Name method is particularly suitable for use on the following systems. Please bear in mind that if you use the COMPLETE/Name method for your regular defragmentation runs, you should not mix it with other methods. If you do this, the defragmentation will take longer, as the files will have to be rearranged once more.

•

Maximizes the performance for the read access to workstations

•

For regular defragmentation of a volume

•

For computers which have sufficient available resources at the time when you wish to defragment, as CPU usage will increase and a lot of free hard disk space is required (use of the O&O ActivityGuard is particularly recommended).

•

All types of servers and workstations.


Tips for optimizing your performance

Defragment your system regularly!

Only regular defragmentation can ensure that you always get the best out of your system! O&O Defrag offers you the best way of planning an optimum defragmentation of your system.

Don’t wait too long before you defragment!

As soon as you’ve installed your operating system, the file system will begin to fragment. Avoid system performance losses right from the beginning and install O&O Defrag in good time! Only then can you be sure that your hard disks can access your files quickly. You will also avoid unnecessary wear and tear on your hardware due to increased movement of the read/write head.

Large files need more free hard disk space

If you want to defragment large files, you need more free hard disk space. For reasons of data security, the original (fragmented) file remains on the volume until the defragmented copy has been safely saved to disk. We recommend you have at least 5% free space – if you have more, this will speed up the defragmentation. If you have a very large hard disk system (more than 100 gigabytes), this value can be significantly lower.

Avoid moving large numbers of files during the defragmentation

If you are using the SPACE or COMPLETE methods, O&O Defrag will calculate the best position for your files before and during the defragmentation. If you copy, move or delete files, these calculations will have to be carried out once more. This will take time and lengthen the defragmentation time. Please bear this in mind!

Automatic defragmentation with the threshold tool

O&O Defrag offers you a method of automatically defragmenting your system with a time schedule. You can additionally increase your system performance by defining threshold values for your defragmentation. This means that defragmentation will only take place when a particular degree of fragmentation is reached. You can thereby avoid unnecessary defragmentation runs. You will find more on this in the section on scheduling.

Using O&O Defrag on your notebook

In this latest version of O&O Defrag, we have introduced power management. This allows you to suppress defragmentation runs when your notebook is running from battery power. The length of your battery life will therefore not be shortened, and you don’t have to stop the defragmentation manually. O&O Defrag will recognize the switch between mains and battery power, and will carry out the defragmentation according to your own configuration. You can read more on this in the section about options.


Which defragmentation method for which type of system?

Below, you will find several pieces of advice about which method is the best for your system. Search for the relevant tip and use this to determine the best defragmentation method for you!

My computer is mainly used as a workstation

The STEALTH, SPACE and COMPLETE methods are particularly suitable for workstations. User files are changed less regularly on workstations than they are on servers. For this reason, sorting by name is a good way of speeding up the startup of your system. The files that are read at startup are arranged in the Windows directory so that they are read in sequence.

We recommend an initial defragmentation with COMPLETE/Name and then regular defragmentation with the STEALTH or SPACE methods.

My computer is mainly used as a server

The methods STEALTH, SPACE, COMPLETE/Access and COMPLETE/Modified are particularly suitable for servers. On all servers, but particularly file servers, files are created, changed and deleted with great regularity. Fragmentation therefore occurs more quickly and severely than on other computers. The COMPLETE methods organize your files in order to prevent the need for subsequent complete reorganizations – only the files that have recently been changed need to be defragmented.

We recommend an initial defragmentation with COMPLETE/Modified and the use of STEALTH or SPACE.

Please bear in mind that using COMPLETE/Access, COMPLETE/Modified and COMPLETE/Name on one partition leads to much slower defragmentation runs, as the files are sorted in different ways in each of these methods. Please decide on just one of the COMPLETE methods to use on your system!

A large number of files are saved on my computer

If you have a large number of files saved on your system, e.g., more than 100,000, the STEALTH defragmentation is the best method for you. The STEALTH method avoids the need to read the complete file information, which can be extremely time-consuming.

I only have a small amount of main memory for the defragmentation

Depending on the number of files on your system, the STEALTH defragmentation is the best method for you. If you have only a relatively small number of files on your system (fewer than 100,000), you can use the SPACE method. The STEALTH method removes the need for reading the whole file information, and no additional main memory is required. The defragmentation of the system can therefore take place without negatively affecting the whole system.


How much free space is needed for the defragmentation?

Free space is a very important factor for a successful defragmentation. The less space that is available, the greater the time required for the defragmentation. This is true of all methods described here. We recommend you keep at least 5% free space on the volume(s) you wish to defragment. This value is, however, dependent on the individual system configuration, the number of files and their size. On NTFS drives, it is particularly important to note the real free disk space. You can find this on the drive information dialog under Free without res. MFT This is the amount of space that is actually available for the applications such as O&O Defrag. Windows itself can write to the MFT reserved area, but for security reasons other applications may not. This is one reason why Windows displays more space than is actually available.


Carry on working whilst defragmenting without interruptions

Particularly in the case of workstations or servers that are under pressure all the time, it is important that the defragmentation can take place in the background without negatively affecting the day-to-day running of the system. In such situations, we recommend you use O&O ActivityGuard Pro, which keeps an eye on the resource usage and automatically adjusts the burden placed on your system by O&O Defrag.


Basics

O&O Defrag V6 offers you a completely new interface, making it easier than ever to defragment your volumes. For example, we’ve integrated an XP-style task pane into the GUI, which lists for you the most important functions and explains them with useful tips. This task pane can also be used even with Windows NT4, so that the GUI is the same, whichever version of Windows you use.

Microsoft Management Console vs. Application

O&O Defrag can be used as a Snap-In for the Microsoft Management Console (MMC) or as an independent application without the MMC.

The advantage of using the MMC is the framework provided by Microsoft, which allows you to integrate numerous system tools into the same operating environment. For example, the Computer Management used in Windows XP/2003 and Windows 2000 is a summary of the most important system tools – these used to be independent administration tools.

From Windows 2000, the MMC was integrated into the operating system. It can be installed free of charge if you’re running Windows NT4. If you don’t want to install the MMC, you can simply use O&O Defrag as an independent or “container” application. You will see the same user interface (GUI) as if you were using the MMC, and a detailed menu structure is also included.

The container application is also recommended if you only want to use O&O on your computer from time to time. However, the network functionality in O&O Defrag Server Edition can only be used within the MMC.


Main view

The main view in O&O Defrag Professional Edition consists of five areas:

Menu and taskbar

This contains all actions that you can carry out with O&O Defrag. The taskbar provides you with a shortcut to the most frequently-used menu actions, which you can perform with one click of the mouse. All views of O&O Defrag (except the task pane) also have context menus, which show you the command you can use within that view.

Task assistant

New in O&O Defrag V6 - the task assistant. This is designed in the familiar Windows XP style and can be found on the left hand side of the main window. Depending on which view you are currently using, the assistant displays the most frequent tasks. If you hover with the mouse over a task, a short explanation will appear.

The assistant appears in the cluster view and explains the different block colors. Clicking on the descriptions allows you to choose your own colors.

Note: The task assistant is also available if you’re running Windows 2000 or Windows NT 4.

Volume list

The volume list displays information about the volume and the task which is currently being carried out. You can configure the list columns yourself. Simply select “Change columns” from the context menu.

As a default option, the following information is displayed; volume letter, status, progress in percent (“% completed”), fragmented files, size in MB, free space in MB, file system, time remaining and current file/directory.

Job list

The job list in the middle of the main view displays all jobs on the computer. You can edit or remove these jobs. The job view can be hidden if you no longer need it.

Cluster view

The cluster view displays the contents of the volume chosen by means of a block graphic. Please note that you can display several volumes by dividing the cluster view. You can toggle between the cluster view and report view with the cluster view button.

For viewing purposes, a certain number of clusters will be summarized in one block. This number is displayed at the top of the cluster view. You can change the size of the blocks and the way they appear on screen (3D view/shading) with the context menu. The shaded view shows you how full the block is with darker and lighter shades. If you choose not to use shading, the block will be displayed in full color. Below you will find a description of all colors used

Color | Description | Explanation
(light blue) | In processing | O&O Defrag is currently working on one or more cluster in this block.
(red) | Fragmented | At least one cluster belongs to a fragmented file.
(purple) | Exclusively locked | The block contains files that are exclusively locked by Windows or other applications (e.g. the registry).
(dark purple) | Pagefile | Block contains clusters from the pagefile.
(dark blue) | Occupied | At least one cluster contains data.
(blue) | Compressed | At least one cluster is compressed (NTFS only).
(dark green) | System | At least one cluster belongs to a system file.
(yellow) | Reserved for the MFT | At least one cluster is reserved for the MFT.
(green) | Directory | Block contains cluster of one or more directories (Windows 2000 or XP only).
(white) | Free | All clusters are empty.

Report view

When you have chosen to have status reports created, these will be displayed in the report view. You can open a report by double-clicking on it and displaying it in your internet browser.


O&O ClusterInspector

O&O Defrag’s ClusterInspector offers you a simple way of finding individual files within the Cluster view. The ClusterInspector can be activated by clicking on a block in the block view. The dialog window shows which clusters are occupied by which files. The first and last clusters will be followed by the file name.

To choose another cluster or block, click with the mouse over the start cluster in the block view. The list will automatically be updated. If you enter a cluster number below that is larger than the number of clusters on the volume, you will see an error message.


Volume information

The volume information dialog can be opened either over the taskbar or the context menu on the volume display. There will be a separate dialog for each volume, and they will all be displayed tiled on the screen. The dialog shows you useful information about the volume and the fragmented files it contains. You can choose between four tabs:

General

This tab is divided into four parts and contains information about your drive, clusters and MFT. The pie chart changes as defragmentation takes place, and gives you information about the blocks.

Fragmented files

Here, you will find a list of all fragmented files with the number of fragments, start and end cluster. You can change the order of display by clicking on the columns.

Exclusively locked files

Here, you will find a list of all the system files that are exclusively barred by Windows and cannot be defragmented whilst your system is running. However, you can defragment these files as your computer boots up.

Status report

The status report gives you information about the file system and the number of files on the volume, as well as the constantly updated progress of the defragmentation. This report contains the number of fragmented files before and after the defragmentation.


Options

Options can either be applied to an entire site or an individual computer. Choose the entry “options” from the context menu of a particular site if you wish to apply the options to the whole site. This will overwrite the individual options and configurations for this computer.

General

The options determine how O&O Defrag analyses and defragments.

Reports and event logging

You can have reports created and display them as HTML documents. You can save a maximum of 999 reports for one computer.

You also have the opportunity to include O&O Defrag actions in the Windows event log – simply activate this option. You can specify yourself how detailed you want the log entries to be. Level 1 includes only errors, whereas Level 4 includes all information. Please note that this can consist of large amounts of information and requires a great deal of disk space.

Excluding files

If you don’t want to include certain files and/or directories, you can enter them here. These files will be ignored in the defragmentation

Control from the taskbar

O&O Defrag displays a pictogram in the taskbar as soon as it begins an action (analysis or defragmentation), if you wish. After the action is finishes, this pictogram will disappear.

If you want to allow logged-in users to stop or cancel O&O Defrag jobs, activate this option. Otherwise, the user will only know about the defragmentation/analysis because of this pictogram and will not be able to interfere (unless he is the administrator).

Checking volumes

You can have O&O Defrag check the integrity of your volumes before a defragmentation. If O&O Defrag finds errors on your disk, the defragmentation will not take place (for safety reasons). This check is like the Windows chkdsk function, but errors that are found will not be corrected. You can correct errors with the chkdsk function.

Tuning

O&O Defrag offers many ways in which you can make your defragmentation even more effective and efficient. The standard configurations are in any case optimized for most systems, so that you don’t normally have to make any alterations here. However, you can also change the tuning options yourself.

O&O ActivityGuard Pro

This feature controls the demand on your system and automatically adapts them to the current circumstances. Thus, you can work undisturbed whilst your system is being defragmented. This is particularly helpful if you don’t know exactly when a computer will be available for a defragmentation. Thanks to the O&O ActivityGuard Pro, you don’t have to worry about that anymore.

The O&O AutoSense method regularly performs an automated check on how much of your resources are available for the defragmentation. This is the recommended configuration.

If you want to carry out the defragmentation as fast as possible, you can use all system power for this purpose. Please note that your other work can be affected by the defragmentation if you choose this option.

You can also give in the percentage of the resources O&O Defrag should use manually. O&O Defrag will then keep to this percentage and the rest of the resources will be available for other applications.

Carrying out the defragmentation

You can defragment your volumes either in parallel or sequentially. Sequential defragmentation means that one volume will be defragmented after the other, in alphabetical order.

If you choose parallel defragmentation, volumes (partitions) that lie on physically separate hard disks can be defragmented simultaneously. This makes for a much faster defragmentation. If you only have one physical hard disk in your computer, your volumes will be defragmented sequentially.

Power Management

Power Management is a special feature for notebooks. You can specify that defragmentation does not take place if the notebook is working from battery power. This means your notebook battery will last longer. When the notebook is reconnected to the mains, the defragmentation continues as normal.

If your computer is switched off, O&O Defrag can “wake” it from standby mode. You can therefore defragment at night or at the weekend without having to leave your computer on all the time, and without you having to be there!


Overview

Regular defragmentation is the key to consistent top performance. O&O Defrag offers you a sophisticated scheduling system, so that you don’t have to run the defragmentation manually each time.

So-called defrag jobs allow you to define the time, action and other parameters for the defragmentation. You can configure all options as familiar from the options dialog.

In this Version 6 of O&O Defrag, the scheduling system has been completely re-worked and includes numerous new functions and possibilities.

You can create, change or delete jobs with this system. If you want to leave out a job for a short period of time, but don’t wish to cancel it completely, you can deactivate it. The job won’t then be carried out until you reactivate it.

The automatic scheduling system is also new in this version. With this option, O&O Defrag automatically detects the right time for the next defragmentation with the help of heuristic methods. As a rule of thumb – the more severely and quickly your system fragments, the more often it will be defragmented. If your system does not show a high degree of fragmentation, the frequency of the defragmentation runs will decrease.


Creating jobs

To create a new job, select “Add job” from the menu or click on the appropriate button.

If you want to use a job that already exists as a guide, you can simply duplicate this job (from the menu, “Duplicate job”). You can then edit and save this.

You can define all options for this job in the O&O Defrag job dialog.

Job ID

Enter the name of your job. This will be used for the creation of reports and serves as information about which action is being carried out by the job. The name of the job is only important for this purpose and it is possible to use this name for other jobs too.

In the “Notes” field, you can enter any other information you wish to remember or share about the job.

Job activated

If you want to leave out a job for a short period of time, but don’t wish to delete it altogether, you can deactivate it. It won’t run again until you re-activate it.

Scheduling

On the scheduling page, you can define the time at which the job should be carried out. You can run the job just once, weekly or even automatically. The options change according to the frequency you’ve chosen.

You can also enter advanced options. With the start and end dates, you can define the period over which the job should be carried out. The maximum running time limits the job to a particular time frame, after which the job will stop whether it has finished or not. The job will start from where it left off when the next defragmentation run starts.

If you want a job to be carried out more than once a day, enter the required time interval under “Start all new”.

The option of starting the job later if a defragmentation is not possible at the given time is intended for systems that are not always on. Normally the job would simply be left out if the computer is switched off. If this option is activated, the defragmentation will be carried out in any case as soon as the computer is switched back on. This ensures that your job won’t be left out.

Volume

Choose the volume and the defragmentation method you wish to use. You can also activate the boot time defragmentation for each volume, so that blocked files can be defragmented when your system starts up.

By entering a fragmentation level, you can define the fragmentation level at which defragmentation will automatically be started. You can thereby significantly reduce the necessary number of defragmentation runs, if you are happy with a system that is not completely defragmented. 0 means that your system will always be defragmented. We would recommend you enter a value of between 2 and 5.

Select the volume, choose your method and further options, and then click on “Set”. You can switch off the defragmentation by marking the volume and clicking on “delete”.

If your system BIOS supports power management functions, you can get O&O Defrag to shut down or restart your system when the defragmentation is finished. If you chose to restart, the program can perform an offline defragmentation run. You can then leave your computer whilst it is being defragmented – it will shut down afterward automatically.

General

You can determine the options for each job as well as defining them for a computer. These job options then override the options for the particular computer whilst the job is being carried out.

Reports and event logging

You can create reports with O&O Defrag. These are the status reports that you can later view as HTML documents. You can save a maximum of 999 reports for each job.

If you also wish to carry out event logging of all O&O Defrag’s actions in the Windows event log, activate this option. You can determine the level of detail – Level 1 only logs errors, whereas Level 4 logs all available information. Please bear in mind that this can constitute a lot of information and requires a large amount of free hard disk space.

Exclude files

If you don’t wish to defragment particular files and directories, you can enter them here. These files will be ignored by the defragmentation.

Controlling from the tasktray

If you wish, O&O Defrag can display a pictogram in the tasktray when an action (analysis or defragmentation) begins. When the action has been completed, this will be removed.

If you want to allow the current user to pause or stop O&O Defrag, you can activate this option. Otherwise, the user will only be informed about the defragmentation by the pictogram, and cannot intervene in the program (if he isn’t the administrator).

Check volumes

You can get O&O Defrag to check the integrity of your volumes before each defragmentation. If O&O Defrag finds errors on your volumes, the defragmentation will not be carried out (for safety reasons). The checking of your volumes is like the chkdsk function in Windows, although the errors won’t be corrected. You have to do this yourself with the chkdsk function.

Tuning

O&O Defrag offers you many ways of making your defragmentation even more effective and efficient. The standard options are optimized for most systems, so you won’t normally have to change these. However, you can adapt these configurations yourself.

O&O ActivityGuard Pro

This feature controls the burden on your system caused by the defragmentation, and automatically adapts it to the current situation. You can carry on working without interruptions whilst the defragmentation runs in the background. This is particularly useful if you don’t know when a computer will be available for defragmenting. With O&O ActivityGuard Pro, you don’t have to worry about this.

The O&O Auto Sense method automatically detects the resource usage at regular intervals. This is the recommended setting.

If you want to carry out your defragmentation at the highest possible speed, you can use all of the computer’s power for this. Please note that this can influence other work on the computer.

You can also give in manually the percentage power O&O Defrag should use. O&O Defrag will only use this percentage, and the rest will be available for other applications.

Carrying out the defragmentation

You can defragment your volumes either parallel or in sequence. Defragmenting in sequence means that the volumes will be defragmented one after the other in alphabetical order.

If you choose parallel defragmentation or volumes that lie on physically separate drives (partitions) will be defragmented at the same time. This significantly speeds up the defragmentation. If you only have one physical hard drive on your system, the volumes will be defragmented in sequence.

Power Management

Power management is especially intended for notebooks. You can specify that defragmentation should not take place when the notebook is running on battery power. When the notebook is reconnected to the mains power, the defragmentation will automatically be resumed.

If your computer is switched off, it can be roused by O&O Defrag out of standby mode to carry out the defragmentation. You can thereby defragment at night or at the weekend without having to be physically present or leaving the computer on.


Changing a job

You can change a job by selecting it in the job view and clicking on the “Change” button in the toolbar.

The O&O Defrag job dialog will appear with the options fort hat job. Change the options that you wish to and then confirm this by clicking “OK”. If you don’t want to apply the changes, simply click “cancel”.

You can find more explanation about the job options in the section on Creating job .


Deleting a job

Choose a job from the job list and choose either “Delete job” from the menu or click on the button in the tool bar.

The job will then be removed from the computer. Any action currently taking place will be stopped.


Overview

Status reports give you information on the state of your computer or of the computers in your network. They sum up all relevant information about a volume such as its name and size, file system, level of fragmentation, the actions realized, the time needed etc.

The reports are HTML documents and can be read with any internet browser.

Status reports show you your performance increase

Status reports all have a date and time of creation which allows you to compare them and see how performance has improved.


Creating status reports

Status reports are made after each analysis and each defragmentation if you’ve activated the creation of status reports. This can be done in the options dialog. You can keep a maximum, of 999 reports for one computer, after which the oldest reports will be replaced by newer ones.

•

In the volume list, click on the volume for which you wish to create a status report.

•

Create the status report with the command in the Task pane (“Create Status report”).

•

The volume will be analyzed, as you can see from the volume icon and the view of the progress.

•

Once the analysis is finished, the status report is automatically saved and opens up.

Tip: You can also create a status reports for several volumes at the same time. To do so, hold the Ctrl key down and click on the volumes.


Evaluating Status reports

O&O Defrag V6 status reports allow you to keep track of the fragmentation and defragmentation of a system. It contains all important information regarding your hard volumes.

The level of fragmentation is particularly important as it represents a fragmentation value which allows the comparison of volumes of different sizes and with different systems. This value ranges from 0 (completely defragmented) to 100% (completely fragmented). It is best to have a value below 10%. You can also use this value in jobs to define a threshold for an automatic defragmentation.


Erasing status reports

Click on the report you wish to erase in the list of reports and launch the command from the context menu, the task assistant or the symbol buttons. The report will be removed from your system.


Using the command line version

You can also control the defragmentation by means of the command line version of O&O Defrag. In this way, you can also integrate O&O Defrag into scripts that you run at startup or log-in.

When you start the program from the command line, the main interface window will not appear. A mini O&O Defrag icon will appear in the tasktray, and you can follow the progress of the actions in your DOS prompt.

O&O Defrag runs independently of the main user interface and the DOS prompt in the background. If you close the DOS prompt or cancel the command line tool with Ctrl+Break/Ctrl+C, you can choose whether to end the program or have it run on in the background. You can also cancel the processes later with the STOP command,

Tip: If you start O&O Defrag from the command line, you can also start the main user interface later. This will show you the status as usual, and you won’t be interrupting or stopping the running processes.

Starting O&O Defrag

The following list shows you the possible parameters for the command line version.

OODCMD {C:[,] | ... | Z:} | {/{<COMMAND>}{C[,] | ... | Z | ALL}} [/MAXUSAGE:AUTO|0..100|MAX] [/OUTPUTFILE:<File name>] [/SILENT] [/NOHEADER] [/NOWAIT] [/WAITKEY]

<COMMAND> must be one of the following volume commands:

ANALYSIS, COMPNAME, COMPACC, COMPMOD, FRAGFILES, SPACE, STEALTH

Parameter

Syntax | Description
/ANALYSIS:{C[,] | ... | Z | ALL} | Analyses the given volume. The result will be shown in one of the display possibilities (generally the DOS prompt), or written into the output file.
/COMPACC:{C[,] | ... | Z | ALL} | Starts the COMPLETE/Access defragmentation on all the given volumes, or on all volumes on the system (ALL).
/COMPMOD:{C[,] | ... | Z | ALL} | Starts the COMPLETE/Date defragmentation on all the given volumes, or on all volumes on the system (ALL).
/COMPNAME:{C[,] | ... | Z | ALL} | Starts the COMPLETE/Name defragmentation on all the given volumes or on all the volumes on the system (ALL).
/FRAGFILES:{C[,] | ... | Z | ALL} | Analyses the given volume and lists the fragmented files. The result will be shown in one of the display possibilities (generally the DOS prompt), or written into the output file.
/INFO:{C[,] | ... | Z | ALL} | Shows the volume information for all the given volumes, or for all volumes on the system (ALL).
/MAXUSAGE:AUTO|0..100|MAX | Activates the O&O ActivityGuard Pro and configures the resource usage. This value has priority over that given in the options dialog.
/NOHEADER | Stops the display of the program information when the program is started from the DOS prompt.
/NOWAIT | Starts the given operation and starts the command line program immediately. The operation runs in the background. This is useful if you want to start an operation with a multiple file, but don’t wish to wait until this process has finished.
/OUTPUTFILE:<File name> | All output values will be saved to a file with the given path and name.
/SILENT | There are no output values.
/SPACE:{C[,] | ... | Z | ALL} | Starts the SPACE defragmentation on all given volumes, or on all the volumes on the system (ALL).
/STEALTH:{C[,] | ... | Z | ALL} | Starts the STEALTH defragmentation on all given volumes, or on all the volumes on the system (ALL).
/STOP:{C[,] | ... | Z | ALL} | Stops all processes (analysis, defragmentation etc) on the given volumes, or on all volumes on the system (ALL).
/WAITKEY | Waits for a keystroke before ending the command line program (once the operation has ended).


Status reports and program output

Event logging of the online defragmentation

O&O Defrag logs the events in the system application log (Event viewer) according to the option you have chosen.

How to start the event viewer when running Windows NT4:

•

Click on Start, then on Programs, then on Administration, then on the event view.

How to start the event viewer when running Windows 2000:

•

To open the event view, click Start, the Settings, then on the control panel. Double-click on Administration, then Event Viewer.

How to start the event view when running Windows XP/2003:

•

Click on Start, then Control Panel, then on Administrative Tools, then double-click on Event Viewer.

Outputs from the offline defragmentation

The following table contains a list of all possible outputs from the offline defragmentation, along with an explanation.

Ouput | Type | Explanation
OK | STATUS | The given file was successfully defragmented.
Already defragmented | STATUS | The given file has already been defragmented.
Volume xyz could not be opened | ERROR | The given volume could not be found by the system, or the file system is not supported.
Could not open volume | ERROR | An internal error has occurred, suggesting a lack of free space or wrong registry entries for the boot time defragmentation.
Could not open file | ERROR | The given file could not be found, is encrypted or has been exclusively locked by the system.
Not enough space to move | ERROR | Contiguous free space is required to move a file somewhere else on the disk, and this amount of space must be at least as large as the file. The defragmentation cannot take place as there is not enough free space.
Could not be moved | ERROR | The defragmentation failed because of problems with the file system. The file is still fragmented.
MFT could not be defragmented | ERROR | The defragmentation of the MFT failed because of problems with the file system It is still fragmented.
Not enough space to move the MFT | ERROR | In order to defragment the MFT contiguous free space at least as large as the MFT must be available. The defragmentation cannot be carried out, as not enough free space is available.
Could not write to partition | ERROR | A file system error has occurred during the MFT defragmentation. This means that the program could not write on the disk. The MFT has not been changed and is still fragmented. The volume should be checked for errors.
Attribute error in the MFT. Please start chdsk. | ERROR | Erroneous entries in the MFT were found during the defragmentation. The volume should be checked for errors.


Data security and integrity

O&O Defrag guarantees you complete data integrity and security. The only functions that are used for the defragmentation are already integrated into Windows XP/2003, Windows 2000 and Windows NT 4. No other functions or Workarounds are used.

File attributes (Date, Time, System, Archive etc.) and the security settings for NTFS volumes will not be changed, and nor are access rights. Also, only one file per volume will be processed at any one time. This ensures that even in the worst case scenario, only one file can be lost (e.g. if there is a power cut). If you have any further questions about data security, or if you need more information, please don’t hesitate to c ontact us.


Supported Hardware

O&O Defrag supports all hardware components that are also supported by Windows XP/2003, Windows 2000 and Windows NT 4. Please bear in mind the software demands of the relevant manufacturer.

As a rule: If you can access your hardware with Windows just as you could a normal Windows partition, then this hardware can be defragmented. Exceptions are drives such as CD-RWs, or streamers – in any case it makes little sense to defragment such drives.

RAID

O&O Defrag V6 supports all known RAID systems. According to many hardware manufacturers, defragmenting RAID systems is especially important – since the files are spread over several hard disks, they are particularly likely to fragment to a large extent.


Supported File Systems

O&O Defrag supports all file systems from Windows XP/2003, Windows 2000 and Windows NT 4, though certain conditions must be respected to allow O&O to work without any problem. The following paragraphs will tell you more about each of these file systems.

FAT

FAT is the oldest data system, the roots of which go back to MS DOS. It is supported by Windows XP/2003, Windows 2000 and Windows NT 4. O&O Defrag can be used without any problem on FAT drives.

FAT32

FAT32 is the native file system of Windows 95b/98/Me. Compared to the old FAT, it offers certain advantages but is not supported by Windows NT 4. Windows XP/2003 and Windows 2000 offer an integrated support of FAT32, which allows O&O Defrag to function perfectly.

NTFS

The NT File System is the continuation of FAT for Windows XP/2003, Windows 2000 and Windows NT 4. It allows security restrictions for the access of data and offers a higher security regarding file errors and fast access to data.

It is the native file system of both Windows XP/2003, Windows 2000 and Windows NT 4 and therefore allows O&O Defrag to access these drives.

NTFS5

The release of Windows 2000 introduced the new generation of NTFS. This allows an easy access to NTFS5 drives under Windows XP/2003 and Windows 2000.

If however you wish to access an NTFS5 drive under Windows NT 4, you need to install Service Pack 4, which contains drivers for NTFS5. These guarantee compatibility in case of dual installations with Windows XP/2003/2000.

NTFS5 has specific file system properties, some of which already existed on the older NTFS. The following list shows which O&O Defrag properties are supported:

•

Reparse Points

•

Folders can be defragmented online with Windows XP/2003 and Windows 2000

•

Multiple Streams

Volume-, Stripe-, Mirror-Sets and hardware RAID

O&O Defrag entirely supports Volume-, Stripe- and Mirror-Sets. This is also valid for Hardware RAID systems.

EFS (Windows XP/2003 and Windows 2000 only)

A new file system based on NTFS and with a higher data security against unauthorized access was introduced together with Windows 2000. The Encrypted File System (EFS) leaves files unreadable for non authorized users. O&O Defrag supports EFS hard drives and neither changes nor disturbs the integrity and security of files.


Free space needed for defragmentation

The following limitations are valid for O&O Defrag and are caused by Windows XP/2003, Windows 2000 or Windows NT 4. They cannot be worked around without endangering the integrity of your files.

Size of the allocation units

The size of the allocation units on NTFS drives on Windows NT and Windows 2000 has to be equal to or smaller than 4096 Bytes. Bigger NTFS drives cannot be defragmented. The size of the allocation unit cannot be changed after Windows has been formatted. You will however find third party tools which give you this possibility.

Note: These limitations were removed under Windows XP and Windows 2003 so that all drives, regardless of the size of their allocation unit, can be defragmented.

Size of hard drive

All hard drive sizes supported by Windows XP/2003, Windows 2000 and Windows NT 4 are supported.

The new O&O Defrag Version 6 was developed to be used on servers with a storage capacity of more than 1 terabyte. To learn more about this, please read about our new STEALTH technology..

Folders

Any number of folders can be defragmented. O&O Defrag administrates memory optimally, so as to record all file and folder information. To learn more about this, please read about our new STEALTH technology.

Free hard disk space

Disks without any free space cannot be defragmented. For the best possible results, at least 5% of the whole hard disk capacity should be free. Files with a size larger than the free space available could otherwise not be defragmented.

To speed up the defragmentation process, we recommend you keep about 10 to 15% of free space on your hard drive, though the bigger the hard drive, the smaller this percentage. What really matters is the size of the biggest file that needs to be defragmented or moved around- for this one, you must have enough contiguous free space.


Boot-time defragmentation

Synonym for “offline defragmentation” – refers to the start phase.


Context menu

You can display the context menu by right-clicking on the relevant element.


Directories

Special system files for saving file structures.


File system

Windows uses various file systems; FAT, FAT32, NTFS or NTFS5. The latter is the most modern and frequently used with Windows XP/2003 and Windows 2000.


First steps

Mehr:

Starting O&O Defrag

Analysing your volumes

Defragmenting your volumes

Online vs. Offline defragmentation

Continuing working during the defragmentation


Glossary

Pagefile

Boot-time defragmentation

File system

Context menu

Microsoft Management Console

Offline defragmentation

System files

Directories


Installation

Mehr:

System requirements

Install Updates of O&O Defrag

License Key

Uninstallation


Microsoft Management Console

Also known as MMC. Administration environment for Windows. Includes all the important system tools for Windows and can be extended by third party tools such as O&O Defrag. Microsoft suggest that all system tools are used within this environment.


Offline defragmentation

Defragmentation during the boot time or start-up. At this point, only the basic functions of the operating system are active – O&O Defrag therefore has access to all files.


O&O Defrag-Methods

Mehr:

Overview

STEALTH Method

SPACE Methods

COMPLETE/Access method

COMPLETE/Modified method

COMPLETE/Name method

Tips for optimizing your performance

Which defragmentation method for which type of system?

How much free space is needed for the defragmentation?

Carry on working whilst defragmenting without interruptions


Overview

Mehr:

Introduction

Fragmentation: causes and effects

What's new in O&O Defrag V6

Contact O&O


Pagefile

This serves as a virtual extension of your PC’s main memory. Parts of the main memory that are not needed are written to this special file and then loaded back into the main memory when needed.


Scheduled defragmentation (Jobs)

Mehr:

Overview

Creating jobs

Changing a job

Deleting a job


Status reports

Mehr:

Overview

Creating status reports

Evaluating Status reports

Erasing status reports


System files

Special files that are needed by the operating system. Examples of these are the Master File Table (MFT), hibernation files and the registry.


Technical information

Mehr:

Using the command line version

Status reports and program output

Data security and integrity

Supported Hardware

Supported File Systems

Free space needed for defragmentation


User Interface (GUI)

Mehr:

Basics

Main view

O&O ClusterInspector

Volume information

Options